MONGOC_DATABASE_SET_READ_CONCERN(3)

NAME
mongoc_database_set_read_concern - mongoc_database_set_read_concern()

SYNOPSIS

void
mongoc_database_set_read_concern (mongoc_database_t *database,
                                  const mongoc_read_concern_t *read_concern);

This function sets the read concern to use on operations performed with database. Collections created with mongoc_database_get_collection() after this call will inherit this read concern.

The default read concern is empty: No readConcern is sent to the server unless explicitly configured.

PARAMETERS

•   database: A mongoc_database_t.

•   read_concern: A mongoc_read_concern_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc